package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.RmsConsignee;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@Mapper
public interface RmsConsigneeMapper extends IBaseMapper<RmsConsignee, BigDecimal> {

    List<Map<String, Object>> getConsigneeList(Map<String, Object> mapValue);
    //序列号
    BigDecimal selectConsigneeId();

    List<Map<String, Object>> getConsigneeById(BigDecimal id);

    BigDecimal getConsigneeByCompanyName(String companyName);

    List<Map<String, Object>> getConsigneeFarId(String state);
}